QtWebKit issue (tried with Sencha Touch)



  • Hi,

    after seeing this "video":http://www.youtube.com/watch?v=ERwS1sBRY-w which shows how the Qt can be used to render the Sencha Touch HTML/Javascript/CSS content I have tried the "example":http://gitorious.org/ofi-labs/x2/trees/master/webkit/senchatouchqtwebkit application from Ofi Labs presented in video.

    First I have build it with the Qt 4.6.3 against the the Symbian^3 SDK. It runs on N8 and C7-00, but not on XpressMusic 5800, but it was not perfect and comparing to how Sencha Touch content is rendered in iPhone Safari and Android Chrom browsers.

    I was expecting that it will run much better if I will build it against the Qt 4.7.1, but this was not true. I build it against the S60 5th(S^1) SDK, which is the only officially supported SDK. The result was that rendering was much slower and application crashes quite often on both N8 and C7-00... Any idea why this happens?

    Anyone tested the example?
    Thanks a lot for any comments
    BR
    STeN



  • I haven't tested it, but as far as I am reading your problem I think the Nokia 5800 hardware isn't capable of rendering Sencha Touch content, because better hardware phones such as C7 and N8 are able to do so.



  • [quote author="Milot Shala" date="1293470713"]I haven't tested it, but as far as I am reading your problem I think the Nokia 5800 hardware isn't capable of rendering Sencha Touch content, because better hardware phones such as C7 and N8 are able to do so.[/quote]

    Hi,

    Thanks for the answer. Is that really HW issue? It can be slow, but it should (I guess) render the same like faster devices, but it should take longer time... The XpressMusic 5800 device is powered by ARM11 CPU, which is used in iPhone 3G and this phone works with Sencha touch framework relatively good.

    Anyway I do not need it on XpressMusic, but on C7-00... In more general I need to know if the QtWebKit is enough good/optimized to run Sencha Touch, if Qt 4.7.1. can make it better and if not, then, if there is another web framework, which can be used with Qt (e.g. JQuery Mobile, which is even sponsored by Nokia)

    Thanks a lot
    BR
    STeN



  • [quote author="stenlik" date="1293471311"][quote author="Milot Shala" date="1293470713"]I haven't tested it, but as far as I am reading your problem I think the Nokia 5800 hardware isn't capable of rendering Sencha Touch content, because better hardware phones such as C7 and N8 are able to do so.[/quote]

    Hi,

    Thanks for the answer. Is that really HW issue? It can be slow, but it should (I guess) render the same like faster devices, but it should take longer time... The XpressMusic 5800 device is powered by ARM11 CPU, which is used in iPhone 3G and this phone works with Sencha touch framework relatively good.

    Anyway I do not need it on XpressMusic, but on C7-00... In more general I need to know if the QtWebKit is enough good/optimized to run Sencha Touch, if Qt 4.7.1. can make it better and if not, then, if there is another web framework, which can be used with Qt (e.g. JQuery Mobile, which is even sponsored by Nokia)

    Thanks a lot
    BR
    STeN[/quote]

    You are right, Nokia 5800 has a good hardware but also the software isn't that good for supporting such animations, I mean see how the kinetic scrolling is implemented on the Symbian itself, it is very laggy!

    As for testing it on Qt 4.7, you can try the "developer version":http://wiki.forum.nokia.com/index.php/Qt_4.7_for_Symbian^3_-_developer_version of Qt 4.7 for Symbian^3 it has the latest WebKit implementation.



  • [quote author="Milot Shala" date="1293471511"]As for testing it on Qt 4.7, you can try the developer version [wiki.forum.nokia.com] of Qt 4.7 for Symbian^3 it has the latest WebKit implementation..[/quote]

    Hi,

    Thanks again for the comment. That's exactly what I have done - I put Qt 4.7.1. libraries on N8 and C7-00 and then I run the example. I have mde two builds (one against 4.7.1/S60 5th(S^1) SDK and one build against 4.6.3/S^3 SDK) and the result was much worse - applications crashes quite often, many things did not work and did not run faster as I believed...

    BR
    STeN



  • [quote author="stenlik" date="1293473185"][quote author="Milot Shala" date="1293471511"]As for testing it on Qt 4.7, you can try the developer version [wiki.forum.nokia.com] of Qt 4.7 for Symbian^3 it has the latest WebKit implementation..[/quote]

    Hi,

    Thanks again for the comment. That's exactly what I have done - I put Qt 4.7.1. libraries on N8 and C7-00 and then I run the example. I have mde two builds (one against 4.7.1/S60 5th(S^1) SDK and one build against 4.6.3/S^3 SDK) and the result was much worse - applications crashes quite often, many things did not work and did not run faster as I believed...

    BR
    STeN[/quote]

    True, there are several bugs there as well, especially with QInputDialog, and other bugs such as a white line in the left of the screen which is annoying. Currently I have Qt 4.6.3 on my N8, so don't rely on Qt 4.7 on Symbian^3 that much, wait for the official update which will occur next year :)



  • [quote author="Milot Shala" date="1293476011"]wait for the official update which will occur next year [/quote]

    Hi,

    do you have any idea, when the update will be available? I have tried to get to some roadmap, but with no success - Nokia is silent about it or I am asking on bad places..

    BR
    STeN



  • Hi,

    after some investigations I could make following conclusions:

    • The QtWebKit 4.6.3(4) works with Sencha Touch, but it must be much more optimized, because the rendering speed it low on S^3 devices. It is not usable for commercial applications
    • The only 100% working web framework is probably rather simple jQTouch (I did not tried it personally, but it was suggested to me)
    • The jQuery Mobile might be an option (I did not test it also), but according to some it crashes the QtWebView. Note that this framework is co-sponsored by Nokia.
    • For above points there is a similar thread "here":http://discussion.forum.nokia.com/forum/showthread.php?216281-QtWebKit-and-HTML-CS-JS-support
    • The QtWebKit 4.7.1 works currently on S^3^ devices much worse then 4.6.3(4), so we need to wait for the final S^3 release from Nokia during probably Q1/Q2 2011

    BR
    STeN



  • [quote author="stenlik" date="1293506388"]
    [quote author="Milot Shala" date="1293476011"]wait for the official update which will occur next year [/quote]

    Hi,

    do you have any idea, when the update will be available? I have tried to get to some roadmap, but with no success - Nokia is silent about it or I am asking on bad places..

    BR
    STeN
    [/quote]

    Unfortunately Nokia is silent about it. They said (I've read this on some news sites) that the update will be available on Q1 2011, also Nokia E7 will be released at that time, so I think they are waiting for the OS update and release the phone.



  • @stenlik: could you post a bug report for this on bugs.webkit.org?
    I'll try to follow up.



  • can you add the following line to the ofi example before loading the content:

    @QWebSettings::globalSettings()->setAttribute(QWebSettings::AcceleratedCompositingEnabled, false);@

    And see if the problem persists?

    Thanks,
    No'am



  • [quote author="stenlik" date="1293473185"][quote author="Milot Shala" date="1293471511"]As for testing it on Qt 4.7, you can try the developer version [wiki.forum.nokia.com] of Qt 4.7 for Symbian^3 it has the latest WebKit implementation..[/quote]

    Hi,

    Thanks again for the comment. That's exactly what I have done - I put Qt 4.7.1. libraries on N8 and C7-00 and then I run the example. I have mde two builds (one against 4.7.1/S60 5th(S^1) SDK and one build against 4.6.3/S^3 SDK) and the result was much worse - applications crashes quite often, many things did not work and did not run faster as I believed...

    BR
    STeN[/quote]

    You can not put the Qt 4.7.1 in N8 , which already contain Qt 4.6.3.

    By doing this the application is going to be crashed,
    You have to wait for the official announcement for the update of the Qt library in Symbian^3 devices.



  • [quote author="qtrahul" date="1293561775"]
    [quote author="stenlik" date="1293473185"][quote author="Milot Shala" date="1293471511"]As for testing it on Qt 4.7, you can try the developer version [wiki.forum.nokia.com] of Qt 4.7 for Symbian^3 it has the latest WebKit implementation..[/quote]

    Hi,

    Thanks again for the comment. That's exactly what I have done - I put Qt 4.7.1. libraries on N8 and C7-00 and then I run the example. I have mde two builds (one against 4.7.1/S60 5th(S^1) SDK and one build against 4.6.3/S^3 SDK) and the result was much worse - applications crashes quite often, many things did not work and did not run faster as I believed...

    BR
    STeN[/quote]

    You can not put the Qt 4.7.1 in N8 , which already contain Qt 4.6.3.

    By doing this the application is going to be crashed,
    You have to wait for the official announcement for the update of the Qt library in Symbian^3 devices.
    [/quote]

    My applications are working with the developer version of the Qt 4.7 for Symbian^3 though.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.